using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Valg.EVA.Skanning.Scan.ReadSoftEmulation
{
    public class ReadSoftFormsAppImpostor
    {
        [STAThread]
        public void Run()
        {
            var t = new Thread(SnurrFilm);
            t.TrySetApartmentState(ApartmentState.STA);
            t.Start();

            
        }

        
        private static void SnurrFilm()
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);
            Application.Run(new ReadSoftForm());
             while (true)
            {
                Thread.Sleep(5000);
            }
        }
    }
}

